Get Property Details Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.momorooms.com/doc/gh-static-content/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "GH Static Content MCP server": {
    "url": "https://developers.momorooms.com/doc/gh-static-content/mcp"
  }
}

Close
GET /v2/properties

Fetch full static details for all contracted properties of the Partner.

Query parameters

  • partnerName string

    Partner name. Takes priority over X-Consumer-Username header.

Responses

  • 200 application/json

    OK

    Hide response attribute Show response attribute object
    • properties array[object]
      Hide properties attributes Show properties attributes object
      • propertyId integer(int64)
      • propertyName string
      • rating number(double)
      • cityName string
      • country object

        Country of the property.

        Hide country attributes Show country attributes object
        • id integer

          ISO country codes of country.

        • name string

          Country name.

      • address object
        Hide address attributes Show address attributes object
        • addressLine1 string
        • addressLine2 string
        • addressLine3 string
        • location object
          Hide location attributes Show location attributes object
          • latitude number(double)

            latitude Location of the Momorooms ID.

          • longitude number(double)

            longitude Location of the Momorooms ID.

  • 500 application/json

    Server Side Error

    Hide response attribute Show response attribute object
    • errors array[object]
      Hide errors attributes Show errors attributes object
      • errorCode integer(int32)
      • errorDescription string

        Possible error responses:

        ErrorCode ErrorDesc
        500An unexpected error occurred. Please try again later.

GET /v2/properties
curl \
 --request GET 'https://qa-partner.momorooms.com/v2/properties' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "properties": [
    {
      "propertyId": 42,
      "propertyName": "string",
      "rating": 42.0,
      "cityName": "string",
      "country": {
        "id": 42,
        "name": "string"
      },
      "address": {
        "addressLine1": "string",
        "addressLine2": "string",
        "addressLine3": "string",
        "location": {
          "latitude": 42.0,
          "longitude": 42.0
        }
      }
    }
  ]
}
Response examples (500)
{
  "errors": [
    {
      "errorCode": 42,
      "errorDescription": "string"
    }
  ]
}